Package ghidra.formats.gfilesystem.fileinfo

# Enum Class FileAttributeTypeGroup

java.lang.Object
java.lang.Enum<FileAttributeTypeGroup>
ghidra.formats.gfilesystem.fileinfo.FileAttributeTypeGroup

All Implemented Interfaces:
  `Serializable`, `Comparable<FileAttributeTypeGroup>`, `Constable`

public enum FileAttributeTypeGroup extends Enum<FileAttributeTypeGroup>
Categories of file attributes.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ADDITIONAL_INFO`
  `DATE_INFO`
  `ENCRYPTION_INFO`
  `GENERAL_INFO`
  `MISC_INFO`
  `OWNERSHIP_INFO`
  `PERMISSION_INFO`
  `SIZE_INFO`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescriptiveName()`
  Returns the descriptive name of the group.
  `static FileAttributeTypeGroup`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FileAttributeTypeGroup[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GENERAL_INFO

    public static final FileAttributeTypeGroup GENERAL_INFO

  - ### SIZE_INFO

    public static final FileAttributeTypeGroup SIZE_INFO

  - ### DATE_INFO

    public static final FileAttributeTypeGroup DATE_INFO

  - ### OWNERSHIP_INFO

    public static final FileAttributeTypeGroup OWNERSHIP_INFO

  - ### PERMISSION_INFO

    public static final FileAttributeTypeGroup PERMISSION_INFO

  - ### ENCRYPTION_INFO

    public static final FileAttributeTypeGroup ENCRYPTION_INFO

  - ### MISC_INFO

    public static final FileAttributeTypeGroup MISC_INFO

  - ### ADDITIONAL_INFO

    public static final FileAttributeTypeGroup ADDITIONAL_INFO

- ## Method Details

  - ### values

    public static FileAttributeTypeGroup[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FileAttributeTypeGroup valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getDescriptiveName

    public String getDescriptiveName()
    Returns the descriptive name of the group.
    Returns:
      string descriptive name